Bug 226775 - slow open of one project (i.e. remote) blocks opening other local projects
slow open of one project (i.e. remote) blocks opening other local projects
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.3
All All
: P3 (vote)
: 7.3.1
Assigned To: Vladimir Voskresensky
issues@cnd
73patch2-verified cnd-clone
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-27 11:56 UTC by Vladimir Voskresensky
Modified: 2013-05-14 08:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2013-02-27 11:56:32 UTC
if IDE was closed with multiple C/C++ projects and one of them was i.e. remote => after reopening IDE local projects opening is delayed for a long time till slow remote one is not finished opening.
Comment 1 Vladimir Voskresensky 2013-02-27 11:57:38 UTC
it is side effect of 
http://hg.netbeans.org/cnd-main/rev/3b73c0c0bac7
Comment 2 Vladimir Voskresensky 2013-02-27 11:59:56 UTC
fixed:
http://hg.netbeans.org/cnd-main/rev/cddcc7ac1534
Comment 3 Quality Engineering 2013-02-28 02:06:59 UTC
Integrated into 'main-golden', will be available in build *201302272300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/cddcc7ac1534
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #226775 - slow open of one project (i.e. remote) blocks opening other local projects
- use RP per project (instead of one global RP)
Comment 4 soldatov 2013-03-13 13:46:51 UTC
I don't see any changes in trunk. Remote and local projects displays Loading... for some times. Loading... message disappears at the same moment.
Comment 5 Alexander Simon 2013-03-13 15:26:15 UTC
additional fix:
http://hg.netbeans.org/cnd-main/rev/9cc37fdf5a90
Comment 6 Egor Ushakov 2013-03-13 15:57:54 UTC
too risky for the patch
Comment 7 Quality Engineering 2013-03-14 02:08:02 UTC
Integrated into 'main-golden', will be available in build *201303132300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9cc37fdf5a90
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #226775 slow open of one project (i.e. remote) blocks opening other local projects
- additional fix for loading node
Comment 8 Vladimir Voskresensky 2013-03-14 09:07:23 UTC
Let's see how it works in trunk and integrate into next patch if no regressions.
Comment 9 Alexander Simon 2013-03-14 11:57:03 UTC
additional fix (it is a fix of bug #224214):
http://hg.netbeans.org/cnd-main/rev/9ecd982ffbb5
Comment 10 Alexander Pepin 2013-04-05 12:50:40 UTC
verified in dev oss build.
Comment 11 soldatov 2013-05-14 08:08:48 UTC
Verified in NetBeans 7.3 patch 2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo